Skip to content

Create blog post

POST
/api/v1/projects/{project_id}/blog-posts

Creates a new blog post and triggers AI generation via a background job.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"post_type": "string",
  
"topic": "string",
  
"source_item_ids": [
  
  
"string"
  
],
  
"wp_category_ids": [
  
  
0
  
],
  
"template_id": "string",
  
"ai_settings": {
  
  
"additionalProperties": "string"
  
},
  
"selected_images": [
  
  
{
  
  
  
"url": "string",
  
  
  
"product_name": "string",
  
  
  
"alt_text": "string"
  
  
}
  
],
  
"store_connection_id": "string",
  
"shopify_blog_id": "string"
}

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"project_id": "string",
  
"organization_id": "string",
  
"title": "string",
  
"content": "string",
  
"excerpt": "string",
  
"slug": "string",
  
"status": "string",
  
"post_type": "string",
  
"topic": "string",
  
"featured_image_url": "string",
  
"seo_meta": {
  
  
"additionalProperties": "string"
  
},
  
"wp_post_id": 0,
  
"wp_category_ids": [
  
  
0
  
],
  
"published_url": "string",
  
"published_at": "string",
  
"scheduled_at": "string",
  
"blog_connection_id": "string",
  
"store_connection_id": "string",
  
"external_post_id": "string",
  
"external_blog_id": "string",
  
"source_item_ids": [
  
  
"string"
  
],
  
"product_links": {
  
  
"additionalProperties": "string"
  
},
  
"ai_settings": {
  
  
"additionalProperties": "string"
  
},
  
"template_id": "string",
  
"analytics": {
  
  
"additionalProperties": "string"
  
},
  
"job_id": "string",
  
"created_at": "string",
  
"updated_at": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

XC AI Content Automation